Skip to main content
POST
/
tool
/
list
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "page": 1,
    "per_page": 20,
    "type": "apiRequest"
}

response = client.tools.list(**payload)
print(response)
{
  "success": true,
  "tools": [
    {
      "_id": "69f98c2185578cdac8d33010",
      "tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e2",
      "user_id": "user_32UrXxvrVxWSYp1dGLsPdEldtRt",
      "type": "apiRequest",
      "createdAt": "2026-05-05T06:20:17.548000",
      "updatedAt": "2026-05-05T06:20:17.548000",
      "method": "GET",
      "url": "https://www.google.com",
      "name": "Tool 1",
      "description": "api request",
      "timeoutSeconds": 20,
      "body": {},
      "headers": {},
      "messages": [],
      "backoffPlan": {
        "type": "fixed",
        "maxRetries": 0,
        "baseDelaySeconds": 1,
        "excludedStatusCodes": [
          400,
          401,
          403,
          404
        ]
      },
      "variableExtractionPlan": null,
      "rejectionPlan": null
    }
  ],
  "pagination": {
    "total": 1,
    "page": 1,
    "per_page": 20,
    "total_pages": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for List tools.

Tool List Request schema.

page
integer
required

Page value.

Required range: x >= 1
Example:

1

per_page
integer
required

Per page value.

Required range: 1 <= x <= 100
Example:

20

type
string
default:apiRequest

Optional tool type filter

Example:

"apiRequest"

Response

Tool list

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.